Package ch.qos.logback.access.net.server

## Class SSLServerSocketAppender

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.AppenderBase<E>
    - - ch.qos.logback.core.net.server.AbstractServerSocketAppender<E>
      - - ch.qos.logback.core.net.server.SSLServerSocketAppenderBase<IAccessEvent>
        - - ch.qos.logback.access.net.server.SSLServerSocketAppender

All Implemented Interfaces:
  `Appender<IAccessEvent>`, `SSLComponent`, `ContextAware`, `FilterAttachable<IAccessEvent>`, `LifeCycle`

    public class SSLServerSocketAppender
    extends SSLServerSocketAppenderBase<IAccessEvent>

An appender that listens on a TCP port for connections from remote loggers. Each event delivered to this appender is delivered to all connected remote loggers.

Author:
  Carl Harris

### Field Summary

### Fields inherited from class ch.qos.logback.core.net.server.AbstractServerSocketAppender

`DEFAULT_BACKLOG, DEFAULT_CLIENT_QUEUE_SIZE`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`SSLServerSocketAppender()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected PreSerializationTransformer<IAccessEvent>` `getPST()` Gets a transformer that will be used to convert a received event to a `Serializable` form.
`protected void` `postProcessEvent​(IAccessEvent event)` Post process an event received via `#append(E)`.

### Methods inherited from class ch.qos.logback.core.net.server.SSLServerSocketAppenderBase

`getServerSocketFactory, getSsl, setSsl, start`

### Methods inherited from class ch.qos.logback.core.net.server.AbstractServerSocketAppender

`append, createServerListener, createServerRunner, getAddress, getBacklog, getClientQueueSize, getInetAddress, getPort, setAddress, setBacklog, setClientQueueSize, setPort, stop`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### SSLServerSocketAppender

    public SSLServerSocketAppender()

### Method Detail

#### postProcessEvent

    protected void postProcessEvent​(IAccessEvent event)

Description copied from class: `AbstractServerSocketAppender`
Post process an event received via `#append(E)`.

Specified by:
  `postProcessEvent` in class `AbstractServerSocketAppender<IAccessEvent>`

#### getPST

    protected PreSerializationTransformer<IAccessEvent> getPST()

Description copied from class: `AbstractServerSocketAppender`
Gets a transformer that will be used to convert a received event to a `Serializable` form.

Specified by:
  `getPST` in class `AbstractServerSocketAppender<IAccessEvent>`
Returns: